package com.yc.education.service.impl;/**
 * huangpan
 * 2019/10/14
 * energy
 */

import com.yc.education.mapper.LifeMapper;
import com.yc.education.model.Life;
import com.yc.education.service.LifeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *@ClassName LifeServiceImpl
 *@Description TODO
 *@Author QuZhangJing
 *@Date 2019/10/14 9:41
 *@Version 1.0
 */
@Service
public class LifeServiceImpl extends BaseService<Life> implements LifeService {
    @Autowired
    LifeMapper lifeMapper;

    @Override
    public List<Life> getLifes() {
        return lifeMapper.getLifes();
    }

    @Override
    public Life getLifeById(Integer id) {
        return lifeMapper.getLifeById(id);
    }

    @Override
    public Life getLifeFpId(Integer id) {
        return lifeMapper.getLifeFpId(id);
    }
}
